| Bsoft 2.0.5 Bernard's software package

Functions
rwmodel_star.h File Reference

Header file for reading and writing STAR model parameters. More...

`#include "rwmodel.h"`

Go to the source code of this file.

## Functions
Bmodel * | read_model_star (Bstring *file_list)
| Reads STAR model parameters. More...
int | write_model_star (Bstring &filename, Bmodel *model)
| Writes STAR model parameters. More...

## Detailed Description

Header file for reading and writing STAR model parameters.

Author
  Bernard Heymann

Date
  Created: 20060919
  Modified: 20080408

Definition in file rwmodel_star.h.

## Function Documentation

## ◆ read_model_star()

Bmodel* read_model_star | ( | Bstring * | file_list | ) |

Reads STAR model parameters.

Parameters

  *file_list | list of model parameter file names.

Returns
  Bmodel* model parameters.

Definition at line 26 of file rwmodel_star.cpp.

## ◆ write_model_star()

int write_model_star | ( | Bstring & | filename,
|  | Bmodel * | model
| ) |  |

Writes STAR model parameters.

Parameters

  &filename | model parameter file name.
  *model | model parameters.

Returns
  int models written.

Definition at line 248 of file rwmodel_star.cpp.